com.thinkaurelius.titan.graphdb.database.log

## Enum LogTxMeta

- java.lang.Object
- - java.lang.Enum<LogTxMeta>
  - - com.thinkaurelius.titan.graphdb.database.log.LogTxMeta

- All Implemented Interfaces:
    Serializable, Comparable<LogTxMeta>

      public enum LogTxMeta
      extends Enum<LogTxMeta>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUPNAME`
    `LOG_ID`
    `SOURCE_TRANSACTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Class` | `dataType()`
    `abstract Object` | `getValue(TransactionConfiguration txConfig)`
    `abstract void` | `setValue(TransactionBuilder builder, Object value)`
    `static LogTxMeta` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LogTxMeta[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GROUPNAME

          public static final LogTxMeta GROUPNAME

    - #### LOG_ID

          public static final LogTxMeta LOG_ID

    - #### SOURCE_TRANSACTION

          public static final LogTxMeta SOURCE_TRANSACTION

  - ### Method Detail

    - #### values

          public static LogTxMeta[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogTxMeta c : LogTxMeta.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogTxMeta valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public abstract Object getValue(TransactionConfiguration txConfig)

    - #### setValue

          public abstract void setValue(TransactionBuilder builder,
                      Object value)

    - #### dataType

          public abstract Class dataType()

Copyright © 2012–2014. All rights reserved.